package agilpizza.modelo;

import static junit.framework.Assert.assertEquals;
import static junit.framework.Assert.assertNull;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import agilpizza.modelo.pizza.Categoria;
import agilpizza.modelo.pizza.Ingrediente;

public class CategoriaTest {
	@BeforeClass
	public static void setUp() throws Exception {
	}

	@AfterClass
	public static void tearDown() throws Exception {
	}

	@Test
	public void testeCategoriaPossuiNome() throws Exception {
		String nomeDeQueijo = "Queijos";
		Categoria categoria = new Categoria(nomeDeQueijo, null);
		assertEquals("Categoria deve ter nome especificado.", nomeDeQueijo,
				categoria.getNome());
		assertNull("categoria testada não tem ingredientes", categoria
				.getIngredientes());
	}
	
	@Test
	public void testeIngredientePossuiValor() throws Exception {
		String nomeDeIngrediente = "Mussarela";
		Double valorDeIngrediente = 0.5;
		Ingrediente ingrediente = new Ingrediente(nomeDeIngrediente, valorDeIngrediente);
		assertEquals("Ingrediente deve ter valor especificado.", valorDeIngrediente,
				ingrediente.getValor());
		
	}
}
